function setCookie(cname, cvalue, exdays=1000) {
  const d = new Date();
  d.setTime(d.getTime() + (exdays*24*60*60*1000));
  let expires = "expires="+ d.toUTCString();
  document.cookie = cname + "=" + cvalue + ";" + expires;
}


function getCookie(cname) {
  let name = cname + "=";
  let decodedCookie = decodeURIComponent(document.cookie);
  let ca = decodedCookie.split(';');
  for(let i = 0; i <ca.length; i++) {
    let c = ca[i];
    while (c.charAt(0) == ' ') {
      c = c.substring(1);
    }
    if (c.indexOf(name) == 0) {
      return c.substring(name.length, c.length);
    }
  }
  return "";
}


function guid() {
	return	Math.random().toString(16).slice(2);
}



// TODO: use setUid here... it will get and set the cookie based on the application its using it...
function telemetry(app, action, value, user_uid, other_info='') {
	$.post('/apps/access.php',{app:app, action:action, value:value, user_uid:user_uid, other_info:other_info});
}	


function setUid() {
	var uid = getCookie('uid');
	if (uid=='') {
	  uid = guid();
	  setCookie('uid',uid);
	}	

	return uid;
}